---
lang: en
title: 'API docs: http-server.httpoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/http-server
permalink: /doc/en/lb4/apidocs.http-server.httpoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-server](./http-server.md) &gt; [HttpOptions](./http-server.httpoptions.md)

## HttpOptions interface

HTTP server options

**Signature:**

```typescript
export interface HttpOptions extends BaseHttpOptions 
```
**Extends:** [BaseHttpOptions](./http-server.basehttpoptions.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[protocol?](./http-server.httpoptions.protocol.md)


</td><td>


</td><td>

'http'


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


